using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class RadUploadInAjaxifiedGrid_ShowImageCS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string connectionString = ConfigurationManager.ConnectionStrings["demoConnectionString1"].ConnectionString;
        SqlConnection conn = new SqlConnection(connectionString);

        int id = int.Parse(Request.QueryString["ID"]);

        try
        {
            conn.Open();

            SqlCommand command = null;
            try
            {
                command = new SqlCommand("SELECT * FROM Images WHERE [ID] = @ID", conn);
                command.Parameters.AddWithValue("@ID", id);

                SqlDataReader reader = null;
                try
                {
                    reader = command.ExecuteReader();
                    if (reader.Read())
                    {
                        string name = reader.GetString(reader.GetOrdinal("Name"));
                        string extension = reader.GetString(reader.GetOrdinal("Extension"));
                        string description = reader.GetString(reader.GetOrdinal("Description"));

                        myImage.ImageUrl = "Images/" + id + extension;
                        if (description == string.Empty)
                        {
                            myImage.AlternateText = name + extension;
                        }
                        else
                        {
                            myImage.AlternateText = description;
                        }
                    }
                }
                finally
                {
                    if (reader != null) reader.Dispose();
                }
            }
            finally
            {
                if (command != null) command.Dispose();
            }
        }
        finally
        {
            if (conn.State == ConnectionState.Open)
            {
                conn.Close();
            }
        }
    }
}
